Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deLathedBrush Class Reference

`#include <deBrush_priv.hpp>`

Inheritance diagram for deLathedBrush:

[legend]
Collaboration diagram for deLathedBrush:

[legend]
List of all members.

## Public Member Functions
| deLathedBrush ()
| ~deLathedBrush ()
void | SetLine (IdeLine *line)
IdeLine * | GetLine ()
void | SetStyle (LatheStyle style)
LatheStyle | GetStyle ()
void | SetDegree (deDouble RotDegree)
deDouble | GetDegree ()
## Public Attributes
| WorldObjectClassDef
## Protected Member Functions
deBrush * | CopyBrush ()
## Private Member Functions
void | UpdateBrush ()
void | Lathe ()
deDouble | Dist (deVec3d LineP1, deVec3d LineP2, deVec3d Pt)
## Private Attributes
IdeLine * | m_Line
LatheStyle | m_Style
deDouble | m_Degree

## Constructor & Destructor Documentation

deLathedBrush::deLathedBrush | ( |  | ) |

deLathedBrush::~deLathedBrush | ( |  | ) |

## Member Function Documentation

deBrush * deLathedBrush::CopyBrush | ( |  | ) | `[protected, virtual]`

| Implements deBrush.

deDouble deLathedBrush::Dist | ( | deVec3d | LineP1,
|  | deVec3d | LineP2,
|  | deVec3d | Pt
| ) | `[private]`

deDouble deLathedBrush::GetDegree | ( |  | ) | `[virtual]`

| Implements IdeLathedBrush.

IdeLine * deLathedBrush::GetLine | ( |  | ) | `[virtual]`

| Implements IdeLathedBrush.

deLathedBrush::LatheStyle deLathedBrush::GetStyle | ( |  | ) | `[virtual]`

| Implements IdeLathedBrush.

void deLathedBrush::Lathe | ( |  | ) | `[private]`

void deLathedBrush::SetDegree | ( | deDouble | RotDegree | ) | `[virtual]`

| Implements IdeLathedBrush.

void deLathedBrush::SetLine | ( | IdeLine * | line | ) | `[virtual]`

| Implements IdeLathedBrush.

void deLathedBrush::SetStyle | ( | LatheStyle | style | ) | `[virtual]`

| Implements IdeLathedBrush.

void deLathedBrush::UpdateBrush | ( |  | ) | `[private, virtual]`

| Implements deBrush.

## Member Data Documentation

deDouble deLathedBrush::m_Degree`[private]`

IdeLine* deLathedBrush::m_Line`[private]`

LatheStyle deLathedBrush::m_Style`[private]`

deLathedBrush::WorldObjectClassDef

The documentation for this class was generated from the following files:

- deBrush_priv.hpp
- LathedBrush.cpp